org.apache.ignite.internal.processors.cache.version

## Interface GridCacheVersionable

All Known Subinterfaces:
  GridCacheVersionedEntryEx<K,V>

All Known Implementing Classes:
  GridCacheOptimisticCheckPreparedTxRequest, GridCacheOptimisticCheckPreparedTxResponse, GridCachePlainVersionedEntry, GridCacheRawVersionedEntry, GridDhtLockRequest, GridDhtLockResponse, GridDhtTxFinishRequest, GridDhtTxPrepareRequest, GridDhtTxPrepareResponse, GridDhtUnlockRequest, GridDistributedBaseMessage, GridDistributedLockRequest, GridDistributedLockResponse, GridDistributedTxFinishRequest, GridDistributedTxPrepareRequest, GridDistributedTxPrepareResponse, GridDistributedUnlockRequest, GridNearGetRequest, GridNearGetResponse, GridNearLockRequest, GridNearLockResponse, GridNearTxFinishRequest, GridNearTxPrepareRequest, GridNearTxPrepareResponse, GridNearUnlockRequest

    public interface GridCacheVersionable

Classes that are based on version may choose to implement this interface.

### Method Summary

Methods
`GridCacheVersion` `version()`

### Method Detail

#### version

    GridCacheVersion version()

Returns:
  Version.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015